Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| dbXML API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.dbxml.util
Class UTF8

    java.lang.Object
      com.dbxml.util.UTF8

public final class UTF8
extends java.lang.Object

UTF8 Utility Class

Nested Class Summary
`static class` | `UTF8.CharArrayInfo` CharArrayInfo

Method Summary
`static char[]` | `toCharArray(byte[] bytearr)`
`static char[]` | `toCharArray(byte[] bytearr, int pos, int len)`
`static char[]` | `toCharArray(Value value)`
`static UTF8.CharArrayInfo` | `toCharArrayInfo(Value value)`
`static java.lang.String` | `toString(byte[] bytearr)`
`static java.lang.String` | `toString(byte[] bytearr, int pos, int len)`
`static java.lang.String` | `toString(Value value)`
`static byte[]` | `toUTF8(char[] charr)`
`static byte[]` | `toUTF8(char[] charr, int pos, int len)`
`static byte[]` | `toUTF8(java.lang.String str)`
`static void` | `toWriter(byte[] bytearr, int pos, int len, java.io.Writer writer)`
`static void` | `toWriter(byte[] bytearr, java.io.Writer writer)`
`static void` | `toWriter(Value value, java.io.Writer writer)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### toUTF8

    public static byte[] toUTF8(java.lang.String str)

### toUTF8

    public static byte[] toUTF8(char[] charr,
                                int pos,
                                int len)

### toUTF8

    public static byte[] toUTF8(char[] charr)

### toString

    public static java.lang.String toString(byte[] bytearr)

### toString

    public static java.lang.String toString(byte[] bytearr,
                                            int pos,
                                            int len)

### toString

    public static java.lang.String toString(Value value)

### toWriter

    public static void toWriter(byte[] bytearr,
                                java.io.Writer writer)
                         throws java.io.IOException

  Throws:
    `java.io.IOException`

### toWriter

    public static void toWriter(byte[] bytearr,
                                int pos,
                                int len,
                                java.io.Writer writer)
                         throws java.io.IOException

  Throws:
    `java.io.IOException`

### toWriter

    public static void toWriter(Value value,
                                java.io.Writer writer)
                         throws java.io.IOException

  Throws:
    `java.io.IOException`

### toCharArray

    public static char[] toCharArray(byte[] bytearr)

### toCharArray

    public static char[] toCharArray(byte[] bytearr,
                                     int pos,
                                     int len)

### toCharArray

    public static char[] toCharArray(Value value)

### toCharArrayInfo

    public static UTF8.CharArrayInfo toCharArrayInfo(Value value)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| dbXML API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (c) 2004 The dbXML Group